using APT.BaseData.Domain.ApiModel.PF;
using System.Collections.Generic;

namespace APT.BaseData.Domain.ApiModel.Platform
{
    /// <summary>
    /// 穿梭框返回数据格式定义
    /// </summary>
    public class TransferModel<T1, T2>
        where T1 : class, new()
        where T2 : class, new()
    {
        /// <summary>
        /// 返回左侧数据
        /// </summary>
        public List<T1> dataSource { get; set; } = new List<T1>();

        /// <summary>
        /// 返回右侧数据（选中数据）
        /// </summary>
        public List<T2> selectedData { get; set; } = new List<T2>();
        /// <summary>
        /// 总数据条数
        /// </summary>
        public int totalCount { get; set; }


    }


}
